/**
 * @author WanJl
 * @version 1.0
 * @title Demo06
 * @description  课堂练习： 使用嵌套 for 循环打印一个 4 行 5 列的矩形星号图案。
 * @create 2026/7/15
 */
public class Demo06 {
    /*
        嵌套循环就是 循环里面再放一个循环：
        for (int i = 0; i < 10; i++) {  //外层循环
            System.out.println("i="+i+"------------");
            for (int j = 0; j < 10; j++) {  //内层循环
                System.out.print("j="+j+"   ");
            }
            System.out.println();
        }
        外层循环执行一轮，内层循环完成执行一次。
        最终内层循环一共执行 外层的次数*内层次数 i*j
     */
    public static void main(String[] args) {
        for (int i = 0; i < 4; i++) {
            for (int j = 0; j < 5; j++) {
                System.out.print("*");  //因为是一行，所以内层循环的输出 不换行
            }
            //在外层循环进行一次换行
            System.out.println();
        }
    }
}
